package com.css.simulation.resource.scheduler.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.sql.Timestamp;

@Mapper
public interface AutoSubProjectMapper {


    @Select("select create_user_id\n" +
            "from simulation_automatic_subproject\n" +
            "where id = #{subProjectId}")
    String selectCreateUserById(@Param("subProjectId") String subProjectId);


    @Update("update simulation_automatic_subproject\n" +
            "set now_run_state = #{nowRunState}\n" +
            "where id = #{id}")
    void updateNowRunStateById(@Param("nowRunState") String nowRunState, @Param("id") String id);

    @Update("update simulation_automatic_subproject\n" +
            "set now_run_state  = #{nowRunState},\n" +
            "    finish_time = #{finishTime}\n" +
            "where id = #{id}")
    void updateNowRunStateAndFinishTimeById(@Param("nowRunState") String state, @Param("finishTime") Timestamp finishTime, @Param("id") String id);
}
